#!/usr/bin/python

######################################################################
# The module_Output class holds the current security level of the
# module, the time limit in which the current security level can be
# maintained, and the next security level of the module after the time
# limit is reached.
######################################################################

# Provides more flexibility. The modules can decide what to upload.
# Different modules can use different calculator versions.
# Calculator: Each version outputs a single security level ... (use
#               lowest one or average? Probably lowest!)
#             Modules that use the same calculator are averaged within
#               that calculator before being average with other numbers?
#

class moduleOutput:

  def __init__(self):
    self.modSecInfo = []
    self.sizeInfo = 0

  def addSecInfo(self, newSecElement):
    self.modSecInfo.append(newSecElement)
    self.sizeInfo = self.sizeInfo + 1

  def subSecInfo(self, index):
    self.modSecInfo.pop(index)
    self.sizeInfo = self.sizeInfo - 1

  def updateSecInfo(self, index, updateSecElement):
    self.modSecInfo.insert(index, updateSecElement)
    self.modSecInfo.pop(index+1)

# Return data in new list. Do not return actual list! Could be changed by program!
  def getSecInfo(self):
    tempSecInfo = list(self.modSecInfo)
    return tempSecInfo

# Returns actual value, not copy!!!
  def getSizeInfo(self):
    return self.sizeInfo


"""
Version 0.0
#********* Define valid input, check input
# cSec > nSec in confidential model
# cSec < nSec in integrite model??
# NO set operations, data should not be changed after being set by the module
  def __init__(self, version):
    
    self.currentSecLevel = cSec
    self.timeLimit = tLimit
    self.nextSecLevel = nSec

  def getCurrentSec(self):
    return self.currentSecLevel

  def getTimeLimite(self):
    return self.timeLimit

  def getNextSec(self):
    return self.nextSecLevel

  def getSecInfo(self):
    return [self.currentSecLevel, self.timeLimit, self.nextSecLevel]

"""
"""
def main():
  test = moduleOutput("2.1.5")
  print test.getSecInfo()

if __name__=='__main__':
  main()
"""
